version: 2

models:
    - name: ping_stat_to_stage_mapping
      description: mapping of metrics in the pings data to a stage. The data for this base model must be populated using `dbt seed`
    - name: pings_avg_cycle_analytics_tappg
      description: '{{ doc("tappg_model") }}'
    - name: pings_avg_cycle_analytics_version
      description: '{{ doc("version_model") }}'
    - name: pings_usage_data_tappg
      description: '{{ doc("tappg_model") }}'
    - name: pings_usage_data_version
      description: '{{ doc("version_model") }}'
    - name: pings_version_checks_tappg
      description: '{{ doc("tappg_model") }}'
    - name: pings_version_checks_version
      description: '{{ doc("version_model") }}'

    - name: pings_usage_data
      columns:
          - name: uuid
            tests:
                - not_null

#    - name: pings_avg_cycle_analytics
#      description: Ping data from Self-Managed users.
#      columns:
#          - name: ping_id
#            tests:
#                - not_null
#                - unique
#          - name: id
#            tests:
#                - not_null
#                - unique

    - name: pings_version_checks
      description: Ping version data from self-managed instances
      columns:
          - name: id
            tests:
                - not_null
                - unique
          - name: host_id
            tests:
                - not_null